# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Curses.pm) perl(Exporter.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-perlmenu
Version:        4.0
Release:        alt1_35
Summary:        Perl library module for curses-based menus & data-entry templates

Group:          Development/Other
License:        LGPLv2 or Artistic clarified
URL:            http://www.public.iastate.edu/~skunz/PerlMenu/homepage.html
Source0:        ftp://ftp.iastate.edu/pub/perl/perlmenu.v%{version}.tar.Z
Patch0:         getcapforperl5.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  sed
Source44: import.info

%description
PerlMenu - Perl library module for curses-based menus & data-entry templates.


%prep
%setup -q -n perlmenu.v%{version}
%patch0 -p0
mkdir examples
mv demo* ez* template_* menuutil.pl examples/
find examples -type f -exec chmod 644 {} \;
sed -i -e 's|/usr/local/bin/perl5|%{__perl}|' examples/*

%build
/usr/bin/perl create_menu.pl 

%install
install -d $RPM_BUILD_ROOT%{perl_vendor_privlib}
install -p -m 644 perlmenu.pm $RPM_BUILD_ROOT%{perl_vendor_privlib}

%files
%doc FAQ MENUUTIL_DOC MENU_DOC README RELEASE_NOTES TO_DO COPYING examples
%{perl_vendor_privlib}/*

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_35
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_34
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_33
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_32
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_31
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_30
- update to new release by fcimport

* Thu Nov 17 2016 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_29
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_28
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_26
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_24
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_23
- update to new release by fcimport

* Thu Oct 10 2013 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_22
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_21
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_20
- update to new release by fcimport

* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_19
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_18
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_16
- fc import

